<?php
class Password extends AppModel {

  var $name = 'Password';
  var $useTable = False;

  var $validate = array(
    'password' => array(
      'minLength' => array(
        'rule' => array('minLength', 4),
        'message'=>'パスワードは４文字以上必要です。'
      ),
      'required' => array(
        'rule' => VALID_NOT_EMPTY,
        'message' => 'パスワードを入力してください。'
      )
    ),
    'password_confirm' => array(
      'checkCompare' => array(
        'rule'=> array('checkCompare'),
        'message'=>'入力パスワードが一致しません。'
      ),
      'required' => array(
        'rule' => VALID_NOT_EMPTY,
        'message' => 'パスワードを入力してください。'
      )
    )
  );

  function checkCompare($field) {
    foreach( $field as $key => $value ){
      if (preg_match('/^(.+)_confirm$/', $key, $regs)) {
        return $this->data[$this->name][$regs[1]] == $this->data[$this->name][$key];
      }
    }
  }

}
?>
